Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.reflect
Class InvocationTargetException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.reflect.InvocationTargetException

All Implemented Interfaces:
  Serializable

    public class InvocationTargetException

extends Exception

InvocationTargetException is a checked exception that wraps an exception thrown by an invoked method or constructor.

As of release 1.4, this exception has been retrofitted to conform to the general purpose exception-chaining mechanism. The "target exception" that is provided at construction time and accessed via the `getTargetException()` method is now known as the cause, and may be accessed via the `Throwable.getCause()` method, as well as the aforementioned "legacy method."

See Also:
  `Method`, `Constructor`, Serialized Form

Constructor Summary
`protected` | `InvocationTargetException()` Constructs an `InvocationTargetException` with `null` as the target exception.
`` | `InvocationTargetException(Throwable target)` Constructs a InvocationTargetException with a target exception.
`` | `InvocationTargetException(Throwable target, String s)` Constructs a InvocationTargetException with a target exception and a detail message.

Method Summary
`Throwable` | `getCause()` Returns the cause of this exception (the thrown target exception, which may be `null`).
`Throwable` | `getTargetException()` Get the thrown target exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvocationTargetException

    protected InvocationTargetException()

  Constructs an `InvocationTargetException` with `null` as the target exception.

### InvocationTargetException

    public InvocationTargetException(Throwable target)

  Constructs a InvocationTargetException with a target exception.

  Parameters:
    `target` - the target exception

### InvocationTargetException

    public InvocationTargetException(Throwable target,
                                     String s)

  Constructs a InvocationTargetException with a target exception and a detail message.

  Parameters:
    `target` - the target exception
    `s` - the detail message

Method Detail

### getTargetException

    public Throwable getTargetException()

  Get the thrown target exception.

  This method predates the general-purpose exception chaining facility. The `Throwable.getCause()` method is now the preferred means of obtaining this information.

  Returns:
    the thrown target exception (cause of this exception).

### getCause

    public Throwable getCause()

  Returns the cause of this exception (the thrown target exception, which may be `null`).

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the cause of this exception.
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.